#
# spec file for package kfourinline
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kfourinline
Version:        16.12.1
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.12.1 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Four Wins game
License:        LGPL-2.0+
Group:          Amusements/Toys/Other
Url:            http://www.kde.org
Source0:        kfourinline-%{version}.tar.xz
BuildRequires:  libkdegames-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  ki18n-devel
BuildRequires:  kdnssd-framework-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcompletion-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  update-desktop-files
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Four wins is a two player board game which follows the rules for the
Connect Four (TM) board game where you have to align four pieces of the
same colour to win.

%prep
%setup -q -n kfourinline-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file -r org.kde.kfourinline     Game BoardGame

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kf5_bindir}/kfourinline
%{_kf5_bindir}/kfourinlineproc
%{_kf5_applicationsdir}/org.kde.kfourinline.desktop
%{_kf5_htmldir}/en/kfourinline/
%{_kf5_appsdir}/kfourinline/
%{_kf5_iconsdir}/hicolor/*/*/kfourinline.*
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/kwin4.kcfg
%{_kf5_kxmlguidir}/kfourinline/

%changelog
